Package org.eclipse.mat.parser.index

# Interface IndexWriter.KeyWriter

Enclosing class:
  IndexWriter

public static interface IndexWriter.KeyWriter
Used to write out a key for an index.

## Method Summary

Modifier and Type
Method
Description
`void`
`storeKey(int index, Serializable key)`
Store the key in a file

## Method Details

### storeKey

void storeKey(int index, Serializable key)
Store the key in a file

Parameters:
  `index` - the index
  `key` - the corresponding key to another index